OpenNMS API 1.2.9

## org.opennms.web
Class Util.IgnoreType

    java.lang.Object
      org.opennms.web.Util.IgnoreType

Enclosing class:
  Util

public static class Util.IgnoreType
extends java.lang.Object

Field Summary
`static int` `_ADDITIONS_ONLY`
`static int` `_BOTH`
`static int` `_REQUEST_ONLY`
`static Util.IgnoreType` `ADDITIONS_ONLY`
`static Util.IgnoreType` `BOTH`
`static Util.IgnoreType` `REQUEST_ONLY`
`protected int` `value`

Constructor Summary
`private` `Util.IgnoreType(int value)`

Method Summary
`int` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _REQUEST_ONLY

    public static final int _REQUEST_ONLY

See Also:
  Constant Field Values

### _ADDITIONS_ONLY

    public static final int _ADDITIONS_ONLY

See Also:
  Constant Field Values

### _BOTH

    public static final int _BOTH

See Also:
  Constant Field Values

### REQUEST_ONLY

    public static final Util.IgnoreType REQUEST_ONLY

### ADDITIONS_ONLY

    public static final Util.IgnoreType ADDITIONS_ONLY

### BOTH

    public static final Util.IgnoreType BOTH

### value

    protected int value

Constructor Detail

### Util.IgnoreType

    private Util.IgnoreType(int value)

Method Detail

### getValue

    public int getValue()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.